{"openapi":"3.1.0","info":{"title":"Clerk Chat API","version":"0.0.1"},"paths":{"/api/v1/health":{"get":{"tags":["system"],"operationId":"system.health","parameters":[],"security":[],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"string","enum":["OK"]}}}}}}},"/api/v1/private-data":{"get":{"tags":["private"],"operationId":"private.privateData","parameters":[],"security":[],"responses":{"200":{"description":"PrivateData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateDataEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/onboarding/status":{"get":{"tags":["onboarding"],"operationId":"onboarding.status","parameters":[],"security":[],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"status":{"type":"string","enum":["incomplete"]}},"required":["status"],"additionalProperties":false},{"type":"object","properties":{"status":{"type":"string","enum":["not_required"]},"organizationId":{"type":"string"}},"required":["status","organizationId"],"additionalProperties":false},{"type":"object","properties":{"status":{"type":"string","enum":["completed"]},"flowId":{"type":"string"},"flowVersion":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"organizationId":{"type":"string"},"completedAt":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"agentId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organizationSlug":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["status","flowId","flowVersion","organizationId","completedAt"],"additionalProperties":false}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/onboarding/complete":{"post":{"tags":["onboarding"],"operationId":"onboarding.complete","parameters":[],"security":[],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"status":{"type":"string","enum":["incomplete"]}},"required":["status"],"additionalProperties":false},{"type":"object","properties":{"status":{"type":"string","enum":["not_required"]},"organizationId":{"type":"string"}},"required":["status","organizationId"],"additionalProperties":false},{"type":"object","properties":{"status":{"type":"string","enum":["completed"]},"flowId":{"type":"string"},"flowVersion":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"organizationId":{"type":"string"},"completedAt":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"agentId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organizationSlug":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["status","flowId","flowVersion","organizationId","completedAt"],"additionalProperties":false}]}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"flowId":{"type":"string","enum":["initial-workspace"]},"flowVersion":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"answers":{"type":"object","properties":{"referral":{"type":"string","enum":["Google search","X (formerly Twitter)","LinkedIn","YouTube","Instagram","TikTok","A friend or colleague","AI recommendation","Other"]},"companyType":{"anyOf":[{"type":"object","properties":{"value":{"type":"string","enum":["B2B SaaS","Service Agencies","Fintech & Payments","Insurance","Law Firms","Marketplaces","Real Estate","Clinics","Industrial Equipment & Manufacturing","Ecommerce & DTC","Consumer Electronics & Appliances","Hotels & Resorts","Travel & Tour Operators","Accounting & Corporate Secretarial","Immigration Consultancies","Online Education","Fitness Chains & Franchises","Restaurants"]}},"required":["value"],"additionalProperties":false},{"type":"object","properties":{"value":{"type":"string","enum":["Other"]},"detail":{"type":"string"}},"required":["value","detail"],"additionalProperties":false}]},"companySize":{"type":"string","enum":["Startup (1-9)","Small business (10-49)","Mid-market (50-499)","Enterprise (500+)"]},"trainingSource":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["website"]},"websiteUrl":{"type":"string","minLength":1,"maxLength":2000}},"required":["type","websiteUrl"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["text"]},"title":{"type":"string","minLength":1,"maxLength":120},"body":{"type":"string","minLength":1,"maxLength":8000}},"required":["type","title","body"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["qa"]},"title":{"type":"string","minLength":1,"maxLength":120},"question":{"type":"string","minLength":1,"maxLength":1000},"answer":{"type":"string","minLength":1,"maxLength":1000}},"required":["type","title","question","answer"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["file"]},"title":{"type":"string","minLength":1,"maxLength":120},"fileName":{"type":"string","minLength":1,"maxLength":255},"fileKind":{"type":"string","enum":["pdf","txt","md","csv","tsv","json","xls","xlsx"]},"fileContentType":{"type":"string","minLength":1,"maxLength":255},"fileSizeBytes":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"fileBase64":{"type":"string","minLength":1,"maxLength":55924312}},"required":["type","title","fileName","fileKind","fileContentType","fileSizeBytes","fileBase64"],"additionalProperties":false}]},"personality":{"type":"object","properties":{"role":{"type":"string","enum":["Customer support","Sales agent","Shopping assistant"]},"instructions":{"type":"string","maxLength":1024}},"required":["role","instructions"],"additionalProperties":false}},"required":["referral","companyType","companySize","trainingSource","personality"],"additionalProperties":false}},"required":["flowId","flowVersion","answers"],"additionalProperties":false}}},"required":true}}},"/api/v1/billing":{"get":{"tags":["billing"],"operationId":"billing.overview","parameters":[],"security":[],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/BillingStatusEncoded"},"removeBranding":{"$ref":"#/components/schemas/RemoveBrandingStatusEncoded"},"subscriptionLifecycle":{"$ref":"#/components/schemas/BillingSubscriptionLifecycleEncoded"},"creditPurchases":{"$ref":"#/components/schemas/BillingCreditPurchaseListEncoded"},"autoCharge":{"$ref":"#/components/schemas/BillingCreditAutoChargeSettingsEncoded"}},"required":["status","removeBranding","subscriptionLifecycle","creditPurchases","autoCharge"],"additionalProperties":false}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/billing/credits-status":{"get":{"tags":["billing"],"operationId":"billing.creditsStatus","parameters":[],"security":[],"responses":{"200":{"description":"BillingCreditsStatus","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingCreditsStatusEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/billing/status":{"get":{"tags":["billing"],"operationId":"billing.status","parameters":[],"security":[],"responses":{"200":{"description":"BillingStatus","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingStatusEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/billing/remove-branding":{"get":{"tags":["billing"],"operationId":"billing.removeBranding","parameters":[],"security":[],"responses":{"200":{"description":"RemoveBrandingStatus","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveBrandingStatusEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"post":{"tags":["billing"],"operationId":"billing.createRemoveBranding","parameters":[],"security":[],"responses":{"200":{"description":"RemoveBrandingStatus","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveBrandingStatusEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"billingCycle":{"type":"string","enum":["monthly","yearly"]}},"required":["billingCycle"],"additionalProperties":false}}},"required":true}},"delete":{"tags":["billing"],"operationId":"billing.deleteRemoveBranding","parameters":[],"security":[],"responses":{"200":{"description":"RemoveBrandingStatus","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveBrandingStatusEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/billing/subscription":{"get":{"tags":["billing"],"operationId":"billing.subscriptionLifecycle","parameters":[],"security":[],"responses":{"200":{"description":"BillingSubscriptionLifecycle","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingSubscriptionLifecycleEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/billing/subscription/cancel":{"post":{"tags":["billing"],"operationId":"billing.cancelSubscription","parameters":[],"security":[],"responses":{"200":{"description":"CancelBillingSubscriptionResult","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelBillingSubscriptionResultEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"reason":{"type":"string","enum":["too_expensive","not_using_enough","missing_features","technical_issues","switching_product","other"]},"feedback":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}]}},"required":["reason"],"additionalProperties":false}}},"required":true}}},"/api/v1/billing/subscription/restore":{"post":{"tags":["billing"],"operationId":"billing.restoreSubscription","parameters":[],"security":[],"responses":{"200":{"description":"BillingSubscriptionLifecycle","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingSubscriptionLifecycleEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/billing/subscription/downgrade":{"post":{"tags":["billing"],"operationId":"billing.scheduleSubscriptionDowngrade","parameters":[],"security":[],"responses":{"200":{"description":"BillingSubscriptionLifecycle","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingSubscriptionLifecycleEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"targetPlan":{"type":"string","enum":["hobby","standard","pro"]}},"required":["targetPlan"],"additionalProperties":false}}},"required":true}}},"/api/v1/billing/credit-purchases":{"get":{"tags":["billing"],"operationId":"billing.listCreditPurchases","parameters":[],"security":[],"responses":{"200":{"description":"BillingCreditPurchaseList","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingCreditPurchaseListEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"post":{"tags":["billing"],"operationId":"billing.createCreditPurchase","parameters":[],"security":[],"responses":{"200":{"description":"BillingCreditPurchase","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingCreditPurchaseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"amountDollars":{"type":"integer","minimum":40,"maximum":1000}},"required":["amountDollars"],"additionalProperties":false}}},"required":true}}},"/api/v1/billing/invoices":{"get":{"tags":["billing"],"operationId":"billing.listInvoices","parameters":[{"name":"cursor","in":"query","schema":{"anyOf":[{"type":"string"},{"type":"null"}]},"required":false}],"security":[],"responses":{"200":{"description":"BillingInvoiceList","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingInvoiceListEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/billing/auto-charge":{"get":{"tags":["billing"],"operationId":"billing.getAutoCharge","parameters":[],"security":[],"responses":{"200":{"description":"BillingCreditAutoChargeSettings","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingCreditAutoChargeSettingsEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"patch":{"tags":["billing"],"operationId":"billing.updateAutoCharge","parameters":[],"security":[],"responses":{"200":{"description":"BillingCreditAutoChargeSettings","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingCreditAutoChargeSettingsEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"enabled":{"type":"boolean","enum":[false]}},"required":["enabled"],"additionalProperties":false},{"type":"object","properties":{"enabled":{"type":"boolean","enum":[true]},"amountDollars":{"type":"integer","minimum":40,"maximum":1000},"spendingCapDollars":{"type":"integer","minimum":40,"maximum":10000}},"required":["enabled","amountDollars","spendingCapDollars"],"additionalProperties":false}]}}},"required":true}}},"/api/v1/agents/{agentId}/conversations":{"get":{"tags":["conversations"],"operationId":"conversations.listByAgent","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true},{"name":"channel","in":"query","schema":{"anyOf":[{"type":"string","enum":["manual","playground","help_page","widget","telegram","slack","messenger","whatsapp","instagram"]},{"type":"null"}]},"required":false},{"name":"status","in":"query","schema":{"anyOf":[{"type":"string","enum":["open","closed"]},{"type":"null"}]},"required":false},{"name":"priority","in":"query","schema":{"anyOf":[{"type":"string","enum":["low","normal","high"]},{"type":"null"}]},"required":false},{"name":"category","in":"query","schema":{"anyOf":[{"type":"string"},{"type":"null"}]},"required":false},{"name":"assignee","in":"query","schema":{"anyOf":[{"type":"string"},{"type":"null"}]},"required":false},{"name":"takeover","in":"query","schema":{"anyOf":[{"type":"string","enum":["human"]},{"type":"null"}]},"required":false},{"name":"search","in":"query","schema":{"anyOf":[{"type":"string"},{"type":"null"}]},"required":false},{"name":"cursor","in":"query","schema":{"anyOf":[{"type":"string"},{"type":"null"}]},"required":false}],"security":[],"responses":{"200":{"description":"ConversationListResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationListResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/agents/{agentId}/conversations/notification-settings":{"get":{"tags":["conversations"],"operationId":"conversations.getNotificationSettings","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"ConversationNotificationSettingsResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationNotificationSettingsResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"put":{"tags":["conversations"],"operationId":"conversations.updateNotificationSettings","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"ConversationNotificationSettingsResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationNotificationSettingsResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"emailEnabled":{"type":"boolean"},"staleUnreadDays":{"type":"integer","minimum":1,"maximum":30},"recipientRoles":{"type":"array","items":{"type":"string","enum":["owner","admin","manager","member"]}},"recipientUserIds":{"type":"array","items":{"type":"string"}},"categories":{"type":"array","items":{"type":"string","minLength":1,"maxLength":60},"minItems":1,"maxItems":20}},"required":["emailEnabled","staleUnreadDays","recipientRoles","recipientUserIds","categories"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/unread-summary":{"get":{"tags":["conversations"],"operationId":"conversations.workspaceUnreadSummary","parameters":[],"security":[],"responses":{"200":{"description":"WorkspaceConversationUnreadSummary","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceConversationUnreadSummaryEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/agents/{agentId}/conversations/unread-summary":{"get":{"tags":["conversations"],"operationId":"conversations.unreadSummary","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"ConversationUnreadSummary","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationUnreadSummaryEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/agents/{agentId}/conversations/assignment-settings":{"get":{"tags":["conversations"],"operationId":"conversations.getAssignmentSettings","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"AssignmentSettingsResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignmentSettingsResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"put":{"tags":["conversations"],"operationId":"conversations.updateAssignmentSettings","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"AssignmentSettingsResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignmentSettingsResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0},"mode":{"type":"string","enum":["manual","round_robin"]},"participantMemberIds":{"type":"array","items":{"type":"string"}}},"required":["expectedVersion","mode","participantMemberIds"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}":{"get":{"tags":["conversations"],"operationId":"conversations.get","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"ConversationDetailResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationDetailResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/conversations/{conversationId}/replies":{"post":{"tags":["conversations"],"operationId":"conversations.reply","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"ReplyResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplyResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0},"body":{"type":"string"},"idempotencyKey":{"type":"string"}},"required":["expectedVersion","body","idempotencyKey"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/draft-reply":{"post":{"tags":["conversations"],"operationId":"conversations.draftReply","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"DraftReplyResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DraftReplyResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0},"requestId":{"type":"string"},"style":{"type":"string","enum":["balanced","concise","friendly","formal"]}},"required":["expectedVersion","requestId","style"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/translate":{"post":{"tags":["conversations"],"operationId":"conversations.translateMessage","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"TranslateMessageResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TranslateMessageResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"body":{"type":"string","minLength":1,"maxLength":8000}},"required":["body"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/takeover":{"post":{"tags":["conversations"],"operationId":"conversations.takeover","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"MutationResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0}},"required":["expectedVersion"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/release":{"post":{"tags":["conversations"],"operationId":"conversations.release","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"MutationResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0}},"required":["expectedVersion"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/status":{"post":{"tags":["conversations"],"operationId":"conversations.status","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"MutationResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0},"status":{"type":"string","enum":["open","closed","archived"]}},"required":["expectedVersion","status"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/priority":{"post":{"tags":["conversations"],"operationId":"conversations.priority","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"MutationResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0},"priority":{"type":"string","enum":["low","normal","high"]}},"required":["expectedVersion","priority"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/category":{"post":{"tags":["conversations"],"operationId":"conversations.category","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"MutationResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0},"category":{"anyOf":[{"type":"string","minLength":1,"maxLength":60},{"type":"null"}]}},"required":["expectedVersion","category"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/assign":{"post":{"tags":["conversations"],"operationId":"conversations.assign","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"MutationResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0},"memberId":{"type":"string"}},"required":["expectedVersion","memberId"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/unassign":{"post":{"tags":["conversations"],"operationId":"conversations.unassign","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"MutationResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedVersion":{"type":"integer","minimum":0}},"required":["expectedVersion"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/read-cursor":{"post":{"tags":["conversations"],"operationId":"conversations.readCursor","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"ReadCursorResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadCursorResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"sequence":{"type":"integer","minimum":0},"expectedSequence":{"type":"integer","minimum":0}},"required":["sequence","expectedSequence"],"additionalProperties":false}}},"required":true}}},"/api/v1/conversations/{conversationId}/mark-unread":{"post":{"tags":["conversations"],"operationId":"conversations.markUnread","parameters":[{"name":"conversationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"ReadCursorResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadCursorResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"410":{"description":"Gone","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoneEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/agents":{"get":{"tags":["agents"],"operationId":"agents.list","parameters":[],"security":[],"responses":{"200":{"description":"AgentListResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentListResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"post":{"tags":["agents"],"operationId":"agents.create","parameters":[],"security":[],"responses":{"200":{"description":"Agent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":80},"slug":{"type":"string","minLength":1,"maxLength":64},"role":{"type":"string","enum":["Customer support","Sales agent","Shopping assistant"]},"instructions":{"type":"string","minLength":1,"maxLength":1024},"welcomeMessage":{"anyOf":[{"anyOf":[{"type":"string","maxLength":240},{"type":"null"}]},{"type":"null"}]},"conversationStarters":{"anyOf":[{"type":"array","prefixItems":[{"type":"string","minLength":1,"maxLength":80},{"type":"string","minLength":1,"maxLength":80},{"type":"string","minLength":1,"maxLength":80}],"maxItems":3,"minItems":3},{"type":"null"}]},"industry":{"anyOf":[{"anyOf":[{"type":"object","properties":{"value":{"type":"string","enum":["B2B SaaS","Service Agencies","Fintech & Payments","Insurance","Law Firms","Marketplaces","Real Estate","Clinics","Industrial Equipment & Manufacturing","Ecommerce & DTC","Consumer Electronics & Appliances","Hotels & Resorts","Travel & Tour Operators","Accounting & Corporate Secretarial","Immigration Consultancies","Online Education","Fitness Chains & Franchises","Restaurants"]}},"required":["value"],"additionalProperties":false},{"type":"object","properties":{"value":{"type":"string","enum":["Other"]},"detail":{"type":"string"}},"required":["value","detail"],"additionalProperties":false}]},{"type":"null"}]}},"required":["name","slug","role","instructions"],"additionalProperties":false}}},"required":true}}},"/api/v1/agents/{agentId}/duplicate":{"post":{"tags":["agents"],"operationId":"agents.duplicate","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"DuplicateAgentResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DuplicateAgentResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"anyOf":[{"type":"string","minLength":1,"maxLength":80},{"type":"null"}]},"copySources":{"anyOf":[{"type":"boolean"},{"type":"null"}]}},"additionalProperties":false}}},"required":true}}},"/api/v1/agents/{agentId}/share-template":{"post":{"tags":["agents"],"operationId":"agents.shareTemplate","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"RelocateAgentResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelocateAgentResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"destinationOrganizationId":{"type":"string","minLength":1},"name":{"anyOf":[{"type":"string","minLength":1,"maxLength":80},{"type":"null"}]}},"required":["destinationOrganizationId"],"additionalProperties":false}}},"required":true}}},"/api/v1/public/templates/{agentId}":{"get":{"tags":["agents"],"operationId":"agents.publicTemplate","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"PublicAgentTemplate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicAgentTemplateEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/public/templates/{agentId}/import":{"post":{"tags":["agents"],"operationId":"agents.importPublicTemplate","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"RelocateAgentResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelocateAgentResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"destinationOrganizationId":{"type":"string","minLength":1},"name":{"anyOf":[{"type":"string","minLength":1,"maxLength":80},{"type":"null"}]}},"required":["destinationOrganizationId"],"additionalProperties":false}}},"required":true}}},"/api/v1/agents/{agentId}/transfer":{"post":{"tags":["agents"],"operationId":"agents.transfer","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"RelocateAgentResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelocateAgentResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"destinationOrganizationId":{"type":"string","minLength":1}},"required":["destinationOrganizationId"],"additionalProperties":false}}},"required":true}}},"/api/v1/agents/{agentId}":{"get":{"tags":["agents"],"operationId":"agents.get","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Agent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"patch":{"tags":["agents"],"operationId":"agents.update","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Agent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"anyOf":[{"type":"string","minLength":1,"maxLength":80},{"type":"null"}]},"slug":{"anyOf":[{"type":"string","minLength":1,"maxLength":64},{"type":"null"}]},"role":{"anyOf":[{"type":"string","enum":["Customer support","Sales agent","Shopping assistant"]},{"type":"null"}]},"instructions":{"anyOf":[{"type":"string","minLength":1,"maxLength":1024},{"type":"null"}]},"translationLanguage":{"anyOf":[{"type":"string","enum":["Adaptive","English","Chinese","Hindi","Spanish","French","Arabic","Bangla","Portuguese","Indonesian","Japanese","Swahili","German","Korean","Italian","Yoruba","Burmese"]},{"type":"null"}]},"welcomeMessage":{"anyOf":[{"anyOf":[{"type":"string","maxLength":240},{"type":"null"}]},{"type":"null"}]},"conversationStarters":{"anyOf":[{"type":"array","prefixItems":[{"type":"string","minLength":1,"maxLength":80},{"type":"string","minLength":1,"maxLength":80},{"type":"string","minLength":1,"maxLength":80}],"maxItems":3,"minItems":3},{"type":"null"}]},"playgroundModelId":{"anyOf":[{"type":"string","enum":["deepseek/deepseek-v4-pro-0813","deepseek/deepseek-v4.1-flash","deepseek/deepseek-v4.1-flash-fast","openai/gpt-5.6-luna"]},{"type":"null"}]},"publicTemplateEnabled":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"status":{"anyOf":[{"type":"string","enum":["draft","active","archived"]},{"type":"null"}]}},"additionalProperties":false}}},"required":true}},"delete":{"tags":["agents"],"operationId":"agents.archive","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Agent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/agents/{agentId}/avatar":{"put":{"tags":["agents"],"operationId":"agents.uploadAvatar","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Agent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"contentType":{"type":"string","minLength":1,"maxLength":255},"fileSizeBytes":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"fileBase64":{"type":"string","minLength":1,"maxLength":2796304}},"required":["contentType","fileSizeBytes","fileBase64"],"additionalProperties":false}}},"required":true}},"delete":{"tags":["agents"],"operationId":"agents.removeAvatar","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Agent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/agents/{agentId}/automations":{"get":{"tags":["automations"],"operationId":"automations.list","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"AutomationListResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationListResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"500":{"description":"InvalidStoredData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidStoredDataEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"post":{"tags":["automations"],"operationId":"automations.create","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Automation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden | AutomationLimitReached","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ForbiddenEncoded"},{"$ref":"#/components/schemas/AutomationLimitReachedEncoded"}]}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"422":{"description":"AutomationEnablementFailed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEnablementFailedEncoded"}}}},"500":{"description":"InvalidStoredData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidStoredDataEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":80,"pattern":"\\S"},"trigger":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["model.instruction"]},"version":{"type":"number","enum":[1]},"whenToUse":{"type":"string","minLength":1,"pattern":"\\S","maxLength":2000},"channels":{"type":"array","items":{"type":"string","enum":["playground","help_page","widget"]}}},"required":["type","version","whenToUse","channels"],"additionalProperties":false},{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["conversation.created"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["takeover.requested"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["lead.submitted"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false}]}]},"action":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["suggested_messages"]},"version":{"type":"number","enum":[1]},"mode":{"type":"string","enum":["auto","manual"]},"messages":{"type":"array","items":{"type":"string","minLength":1,"pattern":"\\S","maxLength":40}},"disableInput":{"type":"boolean"}},"required":["type","version","mode","messages","disableInput"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["custom_button"]},"version":{"type":"number","enum":[1]},"buttonText":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"url":{"type":"string","maxLength":2000},"actionName":{"anyOf":[{"type":"string","minLength":1,"maxLength":50,"pattern":"^[a-z][a-z0-9_]*$"},{"type":"null"}]}},"required":["type","version","buttonText","url"],"additionalProperties":false},{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["collect_leads"]},"version":{"type":"number","enum":[1]},"fields":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string","enum":["name","email","phone"]},"enabled":{"type":"boolean"},"required":{"type":"boolean"}},"required":["key","enabled","required"],"additionalProperties":false}},"successMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500},"dismissMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500}},"required":["type","version","fields","successMessage","dismissMessage"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["collect_leads"]},"version":{"type":"number","enum":[2]},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":64,"pattern":"^[a-z][a-z0-9_]*$"},"label":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"kind":{"type":"string","enum":["text","email","phone","textarea"]},"required":{"type":"boolean"},"maxLength":{"anyOf":[{"type":"integer","minimum":1,"maximum":500},{"type":"null"}]}},"required":["id","label","kind","required","maxLength"],"additionalProperties":false}},"successMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500},"dismissMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500},"notification":{"anyOf":[{"type":"object","properties":{"kind":{"type":"string","enum":["none"]}},"required":["kind"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["slack"]},"channelId":{"anyOf":[{"type":"string","minLength":1,"pattern":"\\S","maxLength":120},{"type":"null"}]},"template":{"anyOf":[{"type":"string","minLength":1,"pattern":"\\S","maxLength":2000},{"type":"null"}]}},"required":["kind","channelId","template"],"additionalProperties":false}]}},"required":["type","version","fields","successMessage","dismissMessage","notification"],"additionalProperties":false}]},{"type":"object","properties":{"type":{"type":"string","enum":["slack"]},"version":{"type":"number","enum":[1]},"channelId":{"anyOf":[{"type":"string","minLength":1,"pattern":"\\S","maxLength":120},{"type":"null"}]},"template":{"type":"string","minLength":1,"pattern":"\\S","maxLength":2000}},"required":["type","version","channelId","template"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["escalate"]},"version":{"type":"number","enum":[1]},"ticketPlatform":{"type":"string","enum":["intercom","zendesk"]},"stopAi":{"type":"boolean"},"confirmationMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500}},"required":["type","version","stopAi","confirmationMessage"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["custom_action"]},"version":{"type":"number","enum":[1]},"method":{"type":"string","enum":["GET","POST"]},"url":{"type":"string","maxLength":2000},"headers":{"type":"object","additionalProperties":{"type":"string"}},"bodyTemplate":{"anyOf":[{"type":"string","maxLength":8000},{"type":"null"}]},"inputs":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":64,"pattern":"^[a-zA-Z][a-zA-Z0-9_]*$"},"description":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500},"required":{"type":"boolean"}},"required":["name","description","required"],"additionalProperties":false}},"dataAccess":{"type":"string","enum":["full","summary"]}},"required":["type","version","method","url","headers","bodyTemplate","inputs","dataAccess"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["shopify_products"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["shopify_get_cart"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["shopify_update_cart"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["stripe_get_subscription"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["stripe_get_invoices"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["stripe_update_customer"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["stripe_cancel_subscription"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["slack.notification"]},"version":{"type":"number","enum":[1]},"channelId":{"anyOf":[{"type":"string","minLength":1,"pattern":"\\S","maxLength":120},{"type":"null"}]},"template":{"type":"string","minLength":1,"pattern":"\\S","maxLength":2000}},"required":["type","version","channelId","template"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["chat.quickReplies"]},"version":{"type":"number","enum":[1]},"replies":{"type":"array","items":{"type":"object","properties":{"label":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"value":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["text"]},"value":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500}},"required":["type","value"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["payload"]},"value":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500}},"required":["type","value"],"additionalProperties":false}]},"removeAfterSelection":{"type":"boolean"}},"required":["label","value","removeAfterSelection"],"additionalProperties":false}}},"required":["type","version","replies"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["chat.customButton"]},"version":{"type":"number","enum":[1]},"label":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"url":{"type":"string","maxLength":2000}},"required":["type","version","label","url"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["chat.leadForm"]},"version":{"type":"number","enum":[1]},"fields":{"type":"array","items":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["name"]},"required":{"type":"boolean"}},"required":["type","required"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["email"]},"required":{"type":"boolean"}},"required":["type","required"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["phone"]},"required":{"type":"boolean"}},"required":["type","required"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["text"]},"id":{"type":"string"},"label":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"required":{"type":"boolean"},"maxLength":{"type":"integer"}},"required":["type","id","label","required","maxLength"],"additionalProperties":false}]}}},"required":["type","version","fields"],"additionalProperties":false}]}]}},"required":["name","trigger","action"],"additionalProperties":false}}},"required":true}}},"/api/v1/automations/lead-notifications":{"get":{"tags":["automations"],"operationId":"automations.workspaceLeadNotifications","parameters":[],"security":[],"responses":{"200":{"description":"WorkspaceLeadSubmissionNotificationsResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceLeadSubmissionNotificationsResponseEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"500":{"description":"InvalidStoredData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidStoredDataEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}}},"/api/v1/agents/{agentId}/automations/{automationId}":{"get":{"tags":["automations"],"operationId":"automations.get","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true},{"name":"automationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Automation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenEncoded"}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"500":{"description":"InvalidStoredData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidStoredDataEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}}},"patch":{"tags":["automations"],"operationId":"automations.update","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true},{"name":"automationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Automation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden | AutomationLimitReached","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ForbiddenEncoded"},{"$ref":"#/components/schemas/AutomationLimitReachedEncoded"}]}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"422":{"description":"AutomationEnablementFailed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEnablementFailedEncoded"}}}},"500":{"description":"InvalidStoredData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidStoredDataEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedRevision":{"type":"integer","minimum":0},"name":{"anyOf":[{"type":"string","minLength":1,"maxLength":80,"pattern":"\\S"},{"type":"null"}]},"trigger":{"anyOf":[{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["model.instruction"]},"version":{"type":"number","enum":[1]},"whenToUse":{"type":"string","minLength":1,"pattern":"\\S","maxLength":2000},"channels":{"type":"array","items":{"type":"string","enum":["playground","help_page","widget"]}}},"required":["type","version","whenToUse","channels"],"additionalProperties":false},{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["conversation.created"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["takeover.requested"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["lead.submitted"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false}]}]},{"type":"null"}]},"action":{"anyOf":[{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["suggested_messages"]},"version":{"type":"number","enum":[1]},"mode":{"type":"string","enum":["auto","manual"]},"messages":{"type":"array","items":{"type":"string","minLength":1,"pattern":"\\S","maxLength":40}},"disableInput":{"type":"boolean"}},"required":["type","version","mode","messages","disableInput"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["custom_button"]},"version":{"type":"number","enum":[1]},"buttonText":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"url":{"type":"string","maxLength":2000},"actionName":{"anyOf":[{"type":"string","minLength":1,"maxLength":50,"pattern":"^[a-z][a-z0-9_]*$"},{"type":"null"}]}},"required":["type","version","buttonText","url"],"additionalProperties":false},{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["collect_leads"]},"version":{"type":"number","enum":[1]},"fields":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string","enum":["name","email","phone"]},"enabled":{"type":"boolean"},"required":{"type":"boolean"}},"required":["key","enabled","required"],"additionalProperties":false}},"successMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500},"dismissMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500}},"required":["type","version","fields","successMessage","dismissMessage"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["collect_leads"]},"version":{"type":"number","enum":[2]},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":64,"pattern":"^[a-z][a-z0-9_]*$"},"label":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"kind":{"type":"string","enum":["text","email","phone","textarea"]},"required":{"type":"boolean"},"maxLength":{"anyOf":[{"type":"integer","minimum":1,"maximum":500},{"type":"null"}]}},"required":["id","label","kind","required","maxLength"],"additionalProperties":false}},"successMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500},"dismissMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500},"notification":{"anyOf":[{"type":"object","properties":{"kind":{"type":"string","enum":["none"]}},"required":["kind"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["slack"]},"channelId":{"anyOf":[{"type":"string","minLength":1,"pattern":"\\S","maxLength":120},{"type":"null"}]},"template":{"anyOf":[{"type":"string","minLength":1,"pattern":"\\S","maxLength":2000},{"type":"null"}]}},"required":["kind","channelId","template"],"additionalProperties":false}]}},"required":["type","version","fields","successMessage","dismissMessage","notification"],"additionalProperties":false}]},{"type":"object","properties":{"type":{"type":"string","enum":["slack"]},"version":{"type":"number","enum":[1]},"channelId":{"anyOf":[{"type":"string","minLength":1,"pattern":"\\S","maxLength":120},{"type":"null"}]},"template":{"type":"string","minLength":1,"pattern":"\\S","maxLength":2000}},"required":["type","version","channelId","template"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["escalate"]},"version":{"type":"number","enum":[1]},"ticketPlatform":{"type":"string","enum":["intercom","zendesk"]},"stopAi":{"type":"boolean"},"confirmationMessage":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500}},"required":["type","version","stopAi","confirmationMessage"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["custom_action"]},"version":{"type":"number","enum":[1]},"method":{"type":"string","enum":["GET","POST"]},"url":{"type":"string","maxLength":2000},"headers":{"type":"object","additionalProperties":{"type":"string"}},"bodyTemplate":{"anyOf":[{"type":"string","maxLength":8000},{"type":"null"}]},"inputs":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":64,"pattern":"^[a-zA-Z][a-zA-Z0-9_]*$"},"description":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500},"required":{"type":"boolean"}},"required":["name","description","required"],"additionalProperties":false}},"dataAccess":{"type":"string","enum":["full","summary"]}},"required":["type","version","method","url","headers","bodyTemplate","inputs","dataAccess"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["shopify_products"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["shopify_get_cart"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["shopify_update_cart"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["stripe_get_subscription"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["stripe_get_invoices"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["stripe_update_customer"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["stripe_cancel_subscription"]},"version":{"type":"number","enum":[1]}},"required":["type","version"],"additionalProperties":false},{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["slack.notification"]},"version":{"type":"number","enum":[1]},"channelId":{"anyOf":[{"type":"string","minLength":1,"pattern":"\\S","maxLength":120},{"type":"null"}]},"template":{"type":"string","minLength":1,"pattern":"\\S","maxLength":2000}},"required":["type","version","channelId","template"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["chat.quickReplies"]},"version":{"type":"number","enum":[1]},"replies":{"type":"array","items":{"type":"object","properties":{"label":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"value":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["text"]},"value":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500}},"required":["type","value"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["payload"]},"value":{"type":"string","minLength":1,"pattern":"\\S","maxLength":500}},"required":["type","value"],"additionalProperties":false}]},"removeAfterSelection":{"type":"boolean"}},"required":["label","value","removeAfterSelection"],"additionalProperties":false}}},"required":["type","version","replies"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["chat.customButton"]},"version":{"type":"number","enum":[1]},"label":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"url":{"type":"string","maxLength":2000}},"required":["type","version","label","url"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["chat.leadForm"]},"version":{"type":"number","enum":[1]},"fields":{"type":"array","items":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["name"]},"required":{"type":"boolean"}},"required":["type","required"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["email"]},"required":{"type":"boolean"}},"required":["type","required"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["phone"]},"required":{"type":"boolean"}},"required":["type","required"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","enum":["text"]},"id":{"type":"string"},"label":{"type":"string","minLength":1,"pattern":"\\S","maxLength":80},"required":{"type":"boolean"},"maxLength":{"type":"integer"}},"required":["type","id","label","required","maxLength"],"additionalProperties":false}]}}},"required":["type","version","fields"],"additionalProperties":false}]}]},{"type":"null"}]}},"required":["expectedRevision"],"additionalProperties":false}}},"required":true}},"delete":{"tags":["automations"],"operationId":"automations.delete","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true},{"name":"automationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"<No Content>"},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden | AutomationLimitReached","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ForbiddenEncoded"},{"$ref":"#/components/schemas/AutomationLimitReachedEncoded"}]}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"422":{"description":"AutomationEnablementFailed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEnablementFailedEncoded"}}}},"500":{"description":"InvalidStoredData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidStoredDataEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedRevision":{"type":"integer","minimum":0}},"required":["expectedRevision"],"additionalProperties":false}}},"required":true}}},"/api/v1/agents/{agentId}/automations/{automationId}/enable":{"post":{"tags":["automations"],"operationId":"automations.enable","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true},{"name":"automationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Automation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden | AutomationLimitReached","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ForbiddenEncoded"},{"$ref":"#/components/schemas/AutomationLimitReachedEncoded"}]}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"422":{"description":"AutomationEnablementFailed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEnablementFailedEncoded"}}}},"500":{"description":"InvalidStoredData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidStoredDataEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceUnavailableEncoded"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expectedRevision":{"type":"integer","minimum":0}},"required":["expectedRevision"],"additionalProperties":false}}},"required":true}}},"/api/v1/agents/{agentId}/automations/{automationId}/disable":{"post":{"tags":["automations"],"operationId":"automations.disable","parameters":[{"name":"agentId","in":"path","schema":{"type":"string"},"required":true},{"name":"automationId","in":"path","schema":{"type":"string"},"required":true}],"security":[],"responses":{"200":{"description":"Automation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEncoded"}}}},"400":{"description":"BadRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestEncoded"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}},"403":{"description":"Forbidden | AutomationLimitReached","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ForbiddenEncoded"},{"$ref":"#/components/schemas/AutomationLimitReachedEncoded"}]}}}},"404":{"description":"NotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundEncoded"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictEncoded"}}}},"422":{"description":"AutomationEnablementFailed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationEnablementFailedEncoded"}}}},"500":{"description":"InvalidStoredData","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidStoredDataEncoded"}}}},"503":{"description":"PersistenceUnavailable","content":{"application/json":{"schema":{"$ref":"#/com
[...]
